<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProjectDetailDescriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('project_detail_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('title', 100);
            $table->longText('description');

            $table->unsignedBigInteger('project_detail_id')->index();
            $table->unsignedBigInteger('language_id')->index();

            $table->foreign('project_detail_id')->references('id')->on('project_details')->onDelete('cascade');

            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('project_detail_descriptions');
    }
}
